×

Discussion Board

Results 1 to 9 of 9
  1. #1
    Registered User
    Join Date
    May 2008
    Posts
    8

    eclipse can't import templates of S60

    I want to compile program run on S60 in eclipse with Pydev.

    But my eclipse can't import the templates of S60 and failed to compile the program.

    How to solve this problem.

    Thank you

  2. #2
    Regular Contributor
    Join Date
    Jan 2004
    Location
    Helsinki
    Posts
    376

    Re: eclipse can't import templates of S60

    Quote Originally Posted by Whirlwind James View Post
    I want to compile program run on S60 in eclipse with Pydev.

    But my eclipse can't import the templates of S60 and failed to compile the program.

    How to solve this problem.

    Thank you
    Can you be please more specific with your question? The question is vague and people might not know what do you mean.
    Mikko Ohtamaa

    http://mfabrik.com
    http://blog.mfabrik.com

  3. #3
    Registered User
    Join Date
    May 2008
    Posts
    8

    Unhappy Re: eclipse can't import templates of S60

    ............
    I'm sorry.
    I had the eclipse and Pydev,so I can use them to write python file like java.I can easily find error at once.
    But when I write .py for pyS60,the eclipse can not find error .
    Because there are many special modules in pyS60.
    How to compile the pyS60 using the eclipse?
    ....
    Are you understand?
    Thank you...

  4. #4
    Super Contributor
    Join Date
    Mar 2003
    Location
    Espoo, Finland
    Posts
    976

    Re: eclipse can't import templates of S60

    Check this about PYTHONPATH:

    http://wiki.forum.nokia.com/index.php/Eclipse_%2B_PyDev

    Cheers,

    --jouni

  5. #5
    Regular Contributor
    Join Date
    Jan 2004
    Location
    Helsinki
    Posts
    376

    Re: eclipse can't import templates of S60

    Quote Originally Posted by Whirlwind James View Post
    ............
    But when I write .py for pyS60,the eclipse can not find error .
    Because there are many special modules in pyS60.
    How to compile the pyS60 using the eclipse?
    Since Python is dynamically typed language, it is not possible to catch all errors during typing. Also, this makes it impossible (or very hard) to auto complete object members during typing. You can still auto complete module names and static function names.

    On the other hand, you need to type less, since you'll get rid of all those static casts.
    Mikko Ohtamaa

    http://mfabrik.com
    http://blog.mfabrik.com

  6. #6
    Registered User
    Join Date
    Jun 2008
    Posts
    1

    Re: eclipse can't import templates of S60

    Hi!
    I have the same problem
    I added 'Epoc32\winscw\c\resource' to my PYTHONPATH and now eclipse find appuifw but still complaining cause can not find _appuifw (imported inside appuifw)
    sry im really newbie...what can i do?

  7. #7
    Regular Contributor
    Join Date
    Jan 2004
    Location
    Helsinki
    Posts
    376

    Re: eclipse can't import templates of S60

    Quote Originally Posted by p0w4p0ty View Post
    Hi!
    I have the same problem
    I added 'Epoc32\winscw\c\resource' to my PYTHONPATH and now eclipse find appuifw but still complaining cause can not find _appuifw (imported inside appuifw)
    sry im really newbie...what can i do?
    Eclipse cannot find _appuifw because it's native module i.e. written in C instead of Python (it's DLL binary file instead of .py file). You cannot inspect inside _appuifw in the editor. So just ignore the error.
    Mikko Ohtamaa

    http://mfabrik.com
    http://blog.mfabrik.com

  8. #8
    Registered User
    Join Date
    Mar 2008
    Location
    Frankfurt, Germany
    Posts
    35

    Re: eclipse can't import templates of S60

    @p0w4p0ty

    same problem here...
    which iss really annoying, since there are tons of errors displayed when using PyDev extensions... :

  9. #9
    Regular Contributor
    Join Date
    Jun 2008
    Posts
    73

    Re: eclipse can't import templates of S60

    Thank you !!
    I know...

Similar Threads

  1. Problem in develop S60 Symbian Application!!!!
    By g.page in forum Mobile Java Tools & SDKs
    Replies: 3
    Last Post: 2009-10-06, 00:34
  2. how to import jar files to eclipse sdk??.....plz help!!
    By muskan in forum General Messaging
    Replies: 0
    Last Post: 2007-07-20, 19:08
  3. S60 3th edition + Eclipse
    By rolecram in forum Mobile Java Tools & SDKs
    Replies: 0
    Last Post: 2007-05-16, 18:19
  4. SocketConnection Work on 6600&Emulators BUT NOT IN 6680
    By eerant in forum Mobile Java Networking & Messaging & Security
    Replies: 4
    Last Post: 2006-03-11, 00:35

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×